Issue 76268 - German and Polish thesaurus move "-" from "Meaning" into "Replace" field
Summary: German and Polish thesaurus move "-" from "Meaning" into "Replace" field
Status: ACCEPTED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 2.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-11 15:45 UTC by maccy
Modified: 2017-05-20 11:17 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description maccy 2007-04-11 15:45:54 UTC
German thesaurus has leading "-" in "meanings" list and also puts leading "-"
into "Replace" field when double-clicking on a "meanings" entry. The English
thesaurus shows (noun), (verb) and so on instead of "-", information that the
German thesaurus does not provide. The English thesaurus however does not move
that (word type) information into the "Replace" field when double-clicking that
meaning. Apart from that it would be good if that "-" would not be displayed at
all as it is merely confusing.
Comment 1 thorsten.martens 2007-04-12 08:02:27 UTC
TM->SBA: please have a look, one for the word-processor team !
Comment 2 milek_pl 2007-06-04 17:08:02 UTC
Same happens in the Polish thesaurus (structure is the same). Confirming and
correcting the summary line.
Comment 3 stefan.baltzer 2007-08-02 19:10:04 UTC
SBA: Put TL on cc.
Comment 4 stefan.baltzer 2007-09-20 10:54:49 UTC
SBA: A scenario to reproduce:
 - Text set to German.
 - Enter "Haus"
 - call Thesaurus
-> in "meaning" field, there are two entries: "- Bau" and "- Familie"
- with a SINGLE click on "- Familie", the replacement string stays "Haus", the
list below giving a choice of proposals, all works fine then.
- But with a DOUBLE click on "- Familie", the replacement string becomes "-
Familie" too, clicking "OK" brings the unwanted dash into the text.

SBA: I am not aware if this is within the dicts, the break iterator or the
lingucomponenet.
Put khong on CC.

SBA->Nemeth: Please proceed.
Comment 5 nemeth.lacko 2008-12-07 01:28:29 UTC
Started.
Comment 6 nemeth.lacko 2008-12-08 08:44:39 UTC
It seems, this is a dictionary issue. Removing dashes solves the problem:

cat th_de_DE_v2.dat | sed 's/^-|/|/' > th_de_DE_v2_fixed.dat
cat *fixed.dat | ~/MyThes-1.0/th_gen_idx.pl >th_de_DE_v2_fixed.dat.idx

Comment 7 thorsten.ziehm 2009-05-18 14:30:17 UTC
OOo 3.1 is released. Please check the issue, if it still exists in OOo 3.1. If
yes, please work on it to get it fixed in one of the next releases. Until then
the issue get the target 3.x.
Comment 8 Marcus 2017-05-20 11:17:50 UTC
Reset assigne to the default "issues@openoffice.apache.org".